# Generated by Django 3.0.6 on 2020-05-19 22:08

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("authentik_crypto", "0001_initial"),
        ("authentik_core", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="SAMLSource",
            fields=[
                (
                    "source_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="authentik_core.Source",
                    ),
                ),
                (
                    "issuer",
                    models.TextField(
                        blank=True,
                        default=None,
                        help_text="Also known as Entity ID. Defaults the Metadata URL.",
                        verbose_name="Issuer",
                    ),
                ),
                ("idp_url", models.URLField(verbose_name="IDP URL")),
                (
                    "idp_logout_url",
                    models.URLField(
                        blank=True,
                        default=None,
                        null=True,
                        verbose_name="IDP Logout URL",
                    ),
                ),
                ("auto_logout", models.BooleanField(default=False)),
                (
                    "signing_kp",
                    models.ForeignKey(
                        default=None,
                        help_text="Certificate Key Pair of the IdP which Assertions are validated against.",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to="authentik_crypto.CertificateKeyPair",
                    ),
                ),
            ],
            options={
                "verbose_name": "SAML Source",
                "verbose_name_plural": "SAML Sources",
            },
            bases=("authentik_core.source",),
        ),
    ]
